local error_mt = {
	__tostring = function (e)
		return tostring(e.text or e.type or ("<Scansion error: "..tostring(e)..">"));
	end;
	__name = "scansion error";
};

return {
	new_error = function (type, data)
		return setmetatable({ type = type, text = data.text, data = data }, error_mt);
	end;
	is = function (err)
		return getmetatable(err) == error_mt;
	end;
};
